%define		module	html2text
Summary:	A HTML to markdown-structured text converter
Name:		python-%{module}
Version:	2019.8.11
Release:	1
License:	GPL v3
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/h/html2text/%{module}-%{version}.tar.gz
# Source0-md5:	21aad7ec95b70606024b783c8253899c
URL:		https://github.com/Alir3z4/html2text/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A HTML to markdown-structured text converter.

%package -n python3-%{module}
Summary:	A HTML to markdown-structured text converter
Group:		Libraries/Python

%description -n python3-%{module}
A HTML to markdown-structured text converter.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/html2text
%{py_sitescriptdir}/html2text/*.py[co]
%{py_sitescriptdir}/html2text-*.egg-info
%changelog
* Mon Dec 14 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-html2text.git;a=log;h=master

* Mon Dec 14 2020 Jan Palus <atler@pld-linux.org> 74d6672
- up to 2019.8.11

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 5cd0371
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> b9c0fed
- updated to 2018.1.9

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 49a5d50
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c48803b
- python 3.6
- release 2 (by relup.sh)

* Sat Apr 02 2016 Jan Palus <atler@pld-linux.org> 403e919
- up to 2016.4.2

* Sat Jan 09 2016 Jan Palus <atler@pld-linux.org> fbc335a
- up to 2016.1.8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ab29cac
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 07fd69a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 19e0b47
- automatic change: use py_build/py_install macros

* Sun Jan 11 2015 Jan Palus <atler@pld-linux.org> 64eff8a
- up to 2014.12.29

* Wed Dec 10 2014 Jan Palus <atler@pld-linux.org> a5a75d2
- noarch

* Sun Dec 07 2014 Jan Palus <atler@pld-linux.org> eef5230
- new

